%define upstream_name    Unicode-String
%define upstream_version 2.09

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18

Summary:	Unicode-String module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		perl-Unicode-String-2.09-undefined.patch
Patch1:		perl-Unicode-String-2.09-utf8doc.patch

BuildRequires:	perl-devel >= 5.8.0

%{?perl_default_filter}

%description
These are experimental modules to handle various Unicode issues.  They
were made before perl included native UTF8 support.

%prep
%setup -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%install
%makeinstall_std

rm -f %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/Unicode/CharName.pm.0000

%files
%doc Changes README
%{perl_vendorarch}/auto/Unicode/String
%{perl_vendorarch}/Unicode/*.pm
%{_mandir}/*/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 2.90.0-18pclos2017
- rebuild against updates
